org.apache.tinkerpop.gremlin.process.computer

## Enum GraphComputer.Persist

- java.lang.Object
- - java.lang.Enum<GraphComputer.Persist>
  - - org.apache.tinkerpop.gremlin.process.computer.GraphComputer.Persist

- All Implemented Interfaces:
    Serializable, Comparable<GraphComputer.Persist>
  Enclosing interface:
    GraphComputer

      public static enum GraphComputer.Persist
      extends Enum<GraphComputer.Persist>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGES` Write vertex, vertex properties, and edges to the `GraphComputer.ResultGraph`.
    `NOTHING` Write nothing to the declared `GraphComputer.ResultGraph`.
    `VERTEX_PROPERTIES` Write vertex and vertex properties to the `GraphComputer.ResultGraph`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphComputer.Persist` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GraphComputer.Persist[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOTHING

          public static final GraphComputer.Persist NOTHING

      Write nothing to the declared `GraphComputer.ResultGraph`.

    - #### VERTEX_PROPERTIES

          public static final GraphComputer.Persist VERTEX_PROPERTIES

      Write vertex and vertex properties to the `GraphComputer.ResultGraph`.

    - #### EDGES

          public static final GraphComputer.Persist EDGES

      Write vertex, vertex properties, and edges to the `GraphComputer.ResultGraph`.

  - ### Method Detail

    - #### values

          public static GraphComputer.Persist[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GraphComputer.Persist c : GraphComputer.Persist.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GraphComputer.Persist valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.